Bug 96971 - Floppy Drive refuses to work Kudzu error and block device error
Floppy Drive refuses to work Kudzu error and block device error
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-07 06:52 EDT by Ronald
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 14:38:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald 2003-06-07 06:52:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Dear Sir,

Post a bug report to the Red Hat Bugzilla website so that our developers could
address this issue:

http://bugzilla.redhat.com/bugzilla

Meanwhile, login as root and modify the '/etc/fstab' file:

vi /etc/fstab

Add the lines below:

/dev/fd0    /mnt/floppy     auto     noauto,owner,kudzu  0 0

Then, reboot the system.

Regards,
Michael
________________________________________________
Hardware is all connected and fstab gives with kudzu enabled:

[root@localhost root]# cat /etc/fstab
LABEL=/ 		/			ext3	defaults	1 1
none			/dev/pts		devpts	gid=5,mode=620	0 0
none			/proc			proc	defaults	0 0
none			/dev/shm		tmpfs	defaults	0 0
/dev/sda3		swap			swap	defaults	0 0
/dev/cdrom		/mnt/cdrom	      iso9660 noauto,owner,kudzu,ro 0 0

/dev/sda1	     /mnt/windows	      vfat   noauto,owner,users 0 0
/dev/hdd4		/mnt/zip		auto	noauto,owner,kudzu 0 0
[root@localhost root]#
 
no floppy , adding floppy then gives error that floppy is not a valid block
device. Why does RedHat work so poorly??? What else do you need to know???






Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Each time the computer boots up
2.Floppy drive has worked for two years with windows NT

3. There is also a zip drive installed which works.
    

Actual Results:  Not able to Mount Floppy or after adding line to fstab block
device error

Expected Results:  Floppy should work

Additional info:

Your software may think the zip is the floppy.
Comment 1 Bill Nottingham 2003-06-07 21:44:31 EDT
zip drive is listed, see:

/dev/hdd4		/mnt/zip		auto	noauto,owner,kudzu 0 0

As for the floppy, if it's giving block device errors, that's a kernel issue.
Comment 2 Alan Cox 2003-06-07 22:02:29 EDT
Is this system a P4T-E. Also what kind of a floppy do you have - USB, standard,
other ?
Comment 3 Dave Jones 2004-01-05 14:38:54 EST
EOL'd & NEEDINFO>6 months.

Note You need to log in before you can comment on or make changes to this bug.